#include "DiminishingReturnBaseEffect.h"
#include "Net/UnrealNetwork.h"

class ADBDPlayer;
class UGameplayModifierContainer;

void UDiminishingReturnBaseEffect::OnRep_OriginatingPlayersApplyingEffect(TArray<ADBDPlayer*> previousOriginatingPlayersApplyingEffect)
{

}

void UDiminishingReturnBaseEffect::Authority_OnOriginatingEffectApplicableChanged(UGameplayModifierContainer* gameplayModifierContainer, bool isApplicable)
{

}

void UDiminishingReturnBaseEffect::GetLifetimeReplicatedProps(TArray<FLifetimeProperty>& OutLifetimeProps) const
{
	Super::GetLifetimeReplicatedProps(OutLifetimeProps);

	DOREPLIFETIME(UDiminishingReturnBaseEffect, _originatingPlayersApplyingEffect);
}

UDiminishingReturnBaseEffect::UDiminishingReturnBaseEffect()
{
	this->CheckOriginatingEffectsApplicable = false;
}
